# 權證實時報價

`WS` `request · cmd 13`

> **行情權限要求 · 免費**
> 開通 OpenAPI 後自動獲得，無需額外購買。
> _OpenAPI 行情權限獨立於 App/Web 行情權限_

該接口用於獲取港股輪證標的的實時行情，包括輪證的特有數據。

```protobuf
message MultiSecurityRequest {
  repeated string symbol = 1;
}

message WarrantQuoteResponse {
  repeated WarrantQuote secu_quote = 2;
}
```

## Request Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string[] | Yes | 標的代碼列表，使用 ticker.region 格式，例如：[13447.HK]。每次請求上限 500 個 |

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `secu_quote` | object[] | No | 期權標的行情數據列表 |
| `└ symbol` | string | No | 標的代碼 |
| `└ last_done` | string | No | 最新價 |
| `└ prev_close` | string | No | 昨收價 |
| `└ open` | string | No | 開盤價 |
| `└ high` | string | No | 最高價 |
| `└ low` | string | No | 最低價 |
| `└ timestamp` | int64 | No | 最新成交的時間戳 |
| `└ volume` | int64 | No | 成交量 |
| `└ turnover` | string | No | 成交額 |
| `└ trade_status` | int32 | No | 標的交易狀態，詳見 TradeStatus |
| `└ warrant_extend` | object | No | 輪證擴展行情 |
| ` └ implied_volatility` | string | No | 引申波幅 |
| ` └ expiry_date` | string | No | 到期日，使用 YYMMDD 格式 |
| ` └ last_trade_date` | string | No | 最後交易日，使用 YYMMDD 格式 |
| ` └ outstanding_ratio` | string | No | 街貨比 |
| ` └ outstanding_qty` | int64 | No | 街貨量 |
| ` └ conversion_ratio` | string | No | 換股比率 |
| ` └ category` | string | No | 輪證類型：Call 認購證，Put 認沽證，Bull 牛證，Bear 熊證，Inline 界內證 |
| ` └ strike_price` | string | No | 行權價 |
| ` └ upper_strike_price` | string | No | 上限價 |
| ` └ lower_strike_price` | string | No | 下限價 |
| ` └ call_price` | string | No | 收回價 |
| ` └ underlying_symbol` | string | No | 對應的正股標的代碼 |

## Response JSON Example

```json
{
  "secu_quote": [
    {
      "symbol": "66642.HK",
      "last_done": "0.345",
      "prev_close": "0.365",
      "timestamp": 1651130421,
      "volume": 200000,
      "turnover": "69000.000",
      "warrant_extend": {
        "implied_volatility": "0.319",
        "expiry_date": "20220830",
        "category": "Bear",
        "strike_price": "23200.000",
        "underlying_symbol": "HSI.HK"
      }
    }
  ]
}
```
